Subject: [bug#37994] [PATCH] gnu: git: Add PCRE support to "git grep".

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 30 Oct 2019 20:53:23 +0100

Tobias Geerinckx-Rice <[email-masked]> writes:

> Pierre,
>
> Pierre Neidhardt 写道：
>> * gnu/packages/version-control.scm (git)[inputs]: Add pcre2.
>> [arguments]: Add "USE_LIBPCRE2" to make-flags.
>> (git-minimal)[arguments]: Do not inherit "USE_LIBPCRE2" in 
>> make-flags.
>
> What do you think of removing pcre2 from INPUTS as well?

git-minimal's input is defined explicitly, no need to remove pcre2 since
it's not there.

> I'm a bit worried that upstream will grow auto-detection and/or 
> change the default value of USE_LIBPCRE2 one day, and that would 
> go unnoticed.

Found this: https://stackoverflow.com/a/49826828
Looks like the compile flags are here to stay :)

>> +      ;; For PCRE support in git grep (USE_LIBPCRE2)
>
> Missing ‘.’.

You mean the trailing period?  Actually I just noticed that about half
of those comments in Git have trailing periods.  I can fix it.

-- 
Pierre Neidhardt
https://ambrevar.xyz/